#include<bits/stdc++.h>
#pragma GCC optimize("O3,unroll-loops")
#pragma GCC target("avx,avx2,bmi,bmi2,sse,sse2,sse3,sse4")
#define int long long
using namespace std;
void gogo() {
    int n, m;
    cin >> n >> m;
    int a[m];
    for (int i = 0; i < m; i++) {
        cin >> a[i];
    }
    reverse(a, a + m);
    multiset<int>s;
    int ans = 0;
    for (int i = 0; i < m; i++) {
        if (s.size() < n) {
            ans += a[i];
            s.insert(a[i]);
        } else {
            int val = *s.begin();
            if (a[i] >= val * 2) {
                s.erase(s.find(val));
                ans -= val * 2;
                ans += a[i];
                s.insert(a[i]);
            } else {
                ans -= a[i];
                n++;
            }
        }
    }
    cout << ans << endl;
}
main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int t = 1;
    cin >> t;
    while (t--) {
        gogo();
    }
}

//25 62 100 86
//max 273